#pragma once
#include "Entity.h"
#define MENUTEXTPLAYER2JOYSTICKNAME_CREATENAME L"menutext_player2joystickname"
class MenuTextPlayer2JoystickName :
    public Entity
{
public:
    void Step() override;
private:
    std::vector<wchar_t> name;
};

std::shared_ptr<Entity> CreateMenuTextPlayer2JoystickName();